You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@apisix.apache.org by GitBox <gi...@apache.org> on 2021/02/03 09:28:36 UTC

[GitHub] [apisix-dashboard] starsz commented on a change in pull request #1418: feat: add a tool to check the version of APISIX Dashboard for release

starsz commented on a change in pull request #1418:
URL: https://github.com/apache/apisix-dashboard/pull/1418#discussion_r569256418



##########
File path: utils/version-check.sh
##########
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ver=$1
+
+red='\e[0;41m'
+RED='\e[1;31m'
+green='\e[0;32m'
+GREEN='\e[1;32m'
+NC='\e[0m'
+
+
+# doc: apisix $ver
+
+matched=`grep "apisix-dashboard-v[0-9][0-9.]*" -r docs/`
+expected=`grep "apisix-dashboard-v$ver" -r docs/`
+
+if [ "$matched" = "$expected" ]; then
+    echo -e "${green}passed: (doc) apisix $ver ${NC}"
+else
+    echo -e "${RED}failed: (doc) apisix $ver ${NC}" 1>&2
+    echo
+    echo "-----maybe wrong version-----"
+    echo "$matched"
+    exit 1
+fi
+
+matched=`grep "git clone -b v[0-9][0-9.]*" -r docs/`
+expected=`grep "git clone -b v$ver" -r docs/`
+
+if [ "$matched" = "$expected" ]; then

Review comment:
       Ditto.

##########
File path: utils/version-check.sh
##########
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ver=$1
+
+red='\e[0;41m'
+RED='\e[1;31m'
+green='\e[0;32m'
+GREEN='\e[1;32m'
+NC='\e[0m'
+
+
+# doc: apisix $ver
+
+matched=`grep "apisix-dashboard-v[0-9][0-9.]*" -r docs/`
+expected=`grep "apisix-dashboard-v$ver" -r docs/`

Review comment:
       What's the difference between `matched` and `expected`?

##########
File path: utils/version-check.sh
##########
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ver=$1
+
+red='\e[0;41m'
+RED='\e[1;31m'
+green='\e[0;32m'
+GREEN='\e[1;32m'
+NC='\e[0m'
+
+
+# doc: apisix $ver
+
+matched=`grep "apisix-dashboard-v[0-9][0-9.]*" -r docs/`
+expected=`grep "apisix-dashboard-v$ver" -r docs/`
+
+if [ "$matched" = "$expected" ]; then

Review comment:
       What's this for? I cann't get your point.




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org